<?xml version="1.0" encoding="UTF-8"?>
<!--
 ~ Hibernate Search, full-text search for your domain model
 ~
 ~ License: GNU Lesser General Public License (LGPL), version 2.1 or later
 ~ See the lgpl.txt file in the root directory or <http://www.gnu.org/licenses/lgpl-2.1.html>.
  -->
<module xmlns="urn:jboss:module:1.1" name="org.hibernate.search.engine" slot="ispn-9.1">
    <resources>
        <resource-root path="hibernate-search-engine-5.8.0.Beta1.jar" />
    </resources>
    <dependencies>
        <module name="javax.transaction.api" />
        <module name="org.hibernate.commons-annotations" />
        <module name="org.apache.lucene" export="true" slot="5.5" />
        <module name="org.apache.lucene.internal" slot="5.5" />
        <module name="org.jboss.logging" />

        <!-- Elasticsearch support -->
        <module name="org.hibernate.search.elasticsearch" export="true" services="import" optional="true" slot="ispn-9.1" />

        <!-- JMS backend support -->
        <module name="org.hibernate.search.backend-jms" export="true" optional="true" slot="ispn-9.1" />

        <!-- JGroups backend support -->
        <module name="org.hibernate.search.backend-jgroups" services="import" optional="true" slot="ispn-9.1" />

        <!-- Infinispan extensions - provided by the Infinispan project -->
        <module name="org.infinispan.hibernate-search.directory-provider" slot="ispn-9.1" services="import" optional="true" />

        <!-- optional Apache Avro serialization -->
        <module name="org.hibernate.search.serialization-avro" slot="ispn-9.1" services="import" optional="true" />

        <!-- optional Apache Tika integration -->
        <module name="org.apache.tika" slot="1.4" optional="true" />

        <!-- For naming -->
        <module name="javax.api" />
        <module name="org.jboss.as.naming" />
    </dependencies>
</module>
